//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2003
//	Sleepycat Software.  All rights reserved.
//
// $Id: ReferenceCounted.hpp,v 1.9 2003/05/09 00:01:51 mjc Exp $
//

#ifndef __REFERENCECOUNTED_HPP
#define	__REFERENCECOUNTED_HPP

namespace DbXml
{

class ReferenceCounted
{
public:
	ReferenceCounted();
	virtual ~ReferenceCounted();
	void acquire();
	void release();
private:
	int count_;
};

}

#endif

